<script lang="ts" setup>
import type { PropType } from 'vue';
import { TickCircle } from 'slippers-ui/icons';

defineProps({
  header: {
    type: String,
    required: true,
  },
  description: {
    type: String,
    required: false,
    default: '',
  },
  list: {
    type: Array as PropType<string[]>,
  },
});
</script>

<template>
  <section :class="'community-intro slp-pb-64'">
    <SlpContainer>
      <SlpRow>
        <SlpColumn>
          <SlpTypography class="header" tag="h2" variant="heading2-bold">{{ header }}</SlpTypography>
          <SlpTypography v-if="description" variant="body1">
            <div class="community-intro__text" v-html="$md.render(description)"></div>
          </SlpTypography>
        </SlpColumn>
        <SlpColumn v-if="list" class="community-intro-benefits">
          <div v-for="(item, index) in list" :key="`list-item+${index}`" class="community-intro-benefits__content">
            <span class="checked-heading">
              <SlpIcon :icon="TickCircle" color="#A989F5" size="lg" />
            </span>
            <SlpTypography class="slp-my-8 description" variant="body2-bold">{{ item }}</SlpTypography>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.community-intro {
  margin-top: $spacing-96;
  &-benefits {
    margin-left: 32px;
    &__content {
      display: flex;
      padding: 32px 0px;
      align-items: center;
      gap: 16px;
      align-self: stretch;
      border-top: 1px solid $color-surface-200;
      border-bottom: 1px solid $color-surface-200;
    }
  }
  .header {
    margin-bottom: $spacing-24;
  }
  @media (max-width: $breakpoint-md) {
    margin-top: $spacing-64;
    padding-top: 0;
    padding-bottom: 0;

    .header {
      margin-bottom: $spacing-16;
    }

    &__button {
      width: 100%;
      justify-content: center;
    }
  }
}
</style>
